#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	ofSetFrameRate(60);
	ofEnableSmoothing();
	ofEnableAlphaBlending();
	
	ofBackground(0, 0, 0);
	
	speed = 0.002;
	screenWidth = ofGetScreenWidth();
}

//--------------------------------------------------------------
void testApp::update(){
	if (myRect.x < screenWidth) {
		myRect.x += speed;
		totalTime = ofGetElapsedTimef();
	}
	
	string fpsStr = "time: "+ofToString(totalTime, 7);
	ofSetColor(255, 255, 255);
	ofDrawBitmapString(fpsStr, 100,100);
	
	printf("total time: %f xPos: %f\n", totalTime, myRect.x);
}

//--------------------------------------------------------------
void testApp::draw(){
	myRect.draw();
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

